Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.osgi.interceptor
Class OsgiInterceptor

    java.lang.Object
      com.opensymphony.xwork2.interceptor.AbstractInterceptor
          org.apache.struts2.osgi.interceptor.OsgiInterceptor

All Implemented Interfaces:
  com.opensymphony.xwork2.interceptor.Interceptor, Serializable

    public class OsgiInterceptor

extends com.opensymphony.xwork2.interceptor.AbstractInterceptor

If a class implements BundleContextAware, this interceptor will call the setBundleContext(BundleContext) method on it. If a class implements ServiceAware, this interceptor will call setService(List)

See Also:
  Serialized Form

Constructor Summary
`OsgiInterceptor()`

Method Summary
`String` | `intercept(com.opensymphony.xwork2.ActionInvocation invocation)`
`void` | `setServletContext(javax.servlet.ServletContext servletContext)`

Methods inherited from class com.opensymphony.xwork2.interceptor.AbstractInterceptor
`destroy, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OsgiInterceptor

    public OsgiInterceptor()

Method Detail

### intercept

    public String intercept(com.opensymphony.xwork2.ActionInvocation invocation)
                     throws Exception

  Specified by:
    `intercept` in interface `com.opensymphony.xwork2.interceptor.Interceptor`
  Specified by:
    `intercept` in class `com.opensymphony.xwork2.interceptor.AbstractInterceptor`
  Throws:
    `Exception`

### setServletContext

    public void setServletContext(javax.servlet.ServletContext servletContext)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.